corda / net.corda.flows / NonValidatingNotaryFlow

# NonValidatingNotaryFlow

`class NonValidatingNotaryFlow : Service`

### Constructors

<init> | `NonValidatingNotaryFlow(otherSide: Party, timestampChecker: TimestampChecker, uniquenessProvider: UniquenessProvider)`

### Inherited Properties

otherSide | `val otherSide: Party`
timestampChecker | `val timestampChecker: TimestampChecker`
uniquenessProvider | `val uniquenessProvider: UniquenessProvider`

### Functions

receiveAndVerifyTx | `fun receiveAndVerifyTx(): TransactionParts` The received transaction is not checked for contract-validity, as that would require fully resolving it into a TransactionForVerification, for which the caller would have to reveal the whole transaction history chain. As a result, the Notary will commit invalid transactions as well, but as it also records the identity of the caller, it is possible to raise a dispute and verify the validity of the transaction and subsequently undo the commit of the input states (the exact mechanism still needs to be worked out).

### Inherited Functions

call | `open fun call(): Void?` This is where you fill out your business logic. The returned object will usually be ignored, but can be helpful if this flow is meant to be used as a subflow.